import React from "react";
declare type ISearchForm = React.FC<ISearchFormProps> & {
    Advanced: typeof SearchFormAdvanced;
    Tooltip: typeof SearchFormTooltip;
};
interface ISearchFormProps {
    search: () => Promise<void>;
    canSearch: boolean;
    onLoading?: (isLoading: boolean) => void;
    inline?: boolean;
    label?: string;
    className?: string;
}
export declare const SearchForm: ISearchForm;
declare const SearchFormAdvanced: React.FC;
declare const SearchFormTooltip: React.FC;
export {};
